Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.business
Class SamlAttributeType

    java.lang.Object
      be.cin.nip.async.business.SamlAttributeType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:33+01:00",
               comments="JAXB RI v2.2.11")
    public class SamlAttributeType

extends Object
implements Serializable

Java class for SamlAttributeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SamlAttributeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SamlAttributeType()`

Method Summary
`List<Attribute>` | `getAttributes()` Gets the value of the attributes property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamlAttributeType

    public SamlAttributeType()

Method Detail

### getAttributes

    public List<Attribute> getAttributes()

  Gets the value of the attributes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

  For example, to add a new item, do as follows:

          getAttributes().add(newItem);

  Objects of the following type(s) are allowed in the list `Attribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.